QGIS Application - Bug report #14277
QGIS WFS server should not make geom response mandatory
2016-02-11 01:05 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:2.8.3 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22271
Description

If I request a specific non-spatial property in a WFS request and do not want the geometry, QGIS server nevertheless returns the
geometry.

In my case | want to return dates so | can establish a range of available dates in order to construct WMS queries with date filters. My
layers have huge numbers of records so by returning the geometry unnecessarily, the response kills my server and application.

| believe default behaviour should be that if you don't request any properties you get a full record including geometry but that if you do
request specific properties then only those properties be returned.

History

#1 - 2016-02-14 11:04 AM - Jukka Rahkonen

It depends on the schema. If geometry is "not null" in the schema the WFS server must send it even it was not requested. If geometry can be null and it is
not included in the list of properties then it should not be returned. Use DescribeFeatureType and add the details into your ticket.

Have you considered to write first a question into QGIS users mailing list instead of making bug a report straight ahead?

#2 - 2016-02-16 05:23 AM - René-Luc ReLuc

- Assignee set to René-Luc RelLuc

#3 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
